View Issue Details

IDProjectCategoryView StatusLast Update
0032787LazarusIDEpublic2017-12-08 12:43
ReporterMarcelo B PaulaAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version10
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0032787: IDE Brazilian portuguese language files updates
DescriptionFollow latest updates

Lazarus 1.9 trunk
SVN: 56629
TagsNo tags attached.
Fixed in Revision56658
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Marcelo B Paula

2017-12-06 12:58

reporter  

PTBRupdate.zip (229,343 bytes)

Marcelo B Paula

2017-12-06 13:16

reporter   ~0104525

If you can contact onlinepackagermanager component maintainer Balázs Székely to clarify some doubts about translations strings:

It seems a bit confusing that he refers to "repository packages". IMHO it seems wrong.

In english, "repository package" means a package that contains repositories. Wich is completely different of "package repository" wich is my normal understanding: a repository of packages.

I suspect that my current translation is wrong because i just translated the english version to portuguese not taking in account that the english version could be wrong.

Thanks.

Maxim Ganetsky

2017-12-06 14:47

developer   ~0104531

"Repository package" there means "package installed from repository" as opposed to "local package".

I am not a native English speaker, but this wording looks acceptable to me.

Balázs Székely

2017-12-06 14:59

developer   ~0104532

Last edited: 2017-12-06 20:36

View 2 revisions

Hi Marcelo,

A "repository package" is basically a zip file, stored in the central repository.
The zip usually contains multiple Lazarus packages, source file, documentation, help, etc. The whole concept was introduced to differentiate between Lazarus packages and the online meta packages aka. "repository packages".
English is not my first language, if you guys think that "repository package" is not the right expression, please rename it to whatever expression you find more appropriate. Maxim always corrects my poor English(thanks Maxim for that), so I leave this issue to him.

Marcelo B Paula

2017-12-06 15:15

reporter   ~0104534

Hello Balázs

Thanks for your answer.

I'm not english native too, so why i'm getting confused with these translations.

For me a repository is a container. It can contains a number of packages. Packages, in turn is as repository too that contains code related files, docs, etc.
So, to me, a repository can contain a number of packages on it.

Refering as a "repository package" pass the idea that there is a package with multiple repositories on it. That in turn, can contain code packages on it. If this statement is correct, translations are ok. If not, i must correct them.

Thanks.

Maxim Ganetsky

2017-12-06 22:46

developer   ~0104542

Last edited: 2017-12-06 22:48

View 3 revisions

IMO "repository package" is OK. In context of Opkman it means "package contained in repository".

Marcelo, please correct your translation if you see the need and then I'll apply all translations from this report in one batch.

Marcelo B Paula

2017-12-07 00:36

reporter   ~0104545

Ok Maxim :)

You can apply these files.

I have some other corrections to do and will provide then next week or later ok!

Thanks anyway.

Maxim Ganetsky

2017-12-07 15:11

developer   ~0104566

Applied, thanks. :)

Marcelo B Paula

2017-12-08 12:43

reporter   ~0104592

Thanks.

Issue History

Date Modified Username Field Change
2017-12-06 12:58 Marcelo B Paula New Issue
2017-12-06 12:58 Marcelo B Paula File Added: PTBRupdate.zip
2017-12-06 13:16 Marcelo B Paula Note Added: 0104525
2017-12-06 14:40 Maxim Ganetsky Assigned To => Maxim Ganetsky
2017-12-06 14:40 Maxim Ganetsky Status new => assigned
2017-12-06 14:47 Maxim Ganetsky Note Added: 0104531
2017-12-06 14:59 Balázs Székely Note Added: 0104532
2017-12-06 15:15 Marcelo B Paula Note Added: 0104534
2017-12-06 20:36 Balázs Székely Note Edited: 0104532 View Revisions
2017-12-06 22:46 Maxim Ganetsky Note Added: 0104542
2017-12-06 22:48 Maxim Ganetsky Note Edited: 0104542 View Revisions
2017-12-06 22:48 Maxim Ganetsky Note Edited: 0104542 View Revisions
2017-12-07 00:36 Marcelo B Paula Note Added: 0104545
2017-12-07 15:11 Maxim Ganetsky Fixed in Revision => 56658
2017-12-07 15:11 Maxim Ganetsky LazTarget => -
2017-12-07 15:11 Maxim Ganetsky Note Added: 0104566
2017-12-07 15:11 Maxim Ganetsky Status assigned => resolved
2017-12-07 15:11 Maxim Ganetsky Fixed in Version => 1.9 (SVN)
2017-12-07 15:11 Maxim Ganetsky Resolution open => fixed
2017-12-08 12:43 Marcelo B Paula Note Added: 0104592
2017-12-08 12:43 Marcelo B Paula Status resolved => closed